/*
 * Starter.java
 *
 * Created on 8 dicembre 2004, 18.17
 */

package com;

/**
 *
 * @author  stefano olivieri
 */
public class Starter  extends Thread{
    
    /** Creates a new instance of Starter */
    public Starter() {
    }
    
    /**
     * @param args the command line arguments
     */
    public void run(){     
        
        try{
            
        /*Creo l'infrastruttura e l'inspector*/
        //new  com.SetInfrastructure().start();
        
        new  com.SetInspector().start();
        
       
        
  
        /*InputAgent*/
         
        /*IdAgent Value*/
        String idAgent = "inputHandlerAgent";
     
        /*AgentId*/
        alice.tucson.api.AgentId aid = new  alice.tucson.api.AgentId(idAgent);
        
        new InputHandlerAgent(aid).spawn();
        
        /*AgentSelector*/
        
        /*IdAgent Value*/
        idAgent = "taskSelectorAgent";
     
        /*AgentId*/
        aid = new  alice.tucson.api.AgentId(idAgent);
            
        new  TaskSelectorAgent(aid).spawn();
        
        /*AgentHandler*/
        
        /*IdAgent Value*/
        idAgent = "taskHandlerAgent ";
     
        /*AgentId*/
        aid = new  alice.tucson.api.AgentId(idAgent);
            
        new  TaskHandlerAgent (aid).spawn();
        
        
        /*Simulation*/
        new com.SimulationWorkerAgent().start();
        
        }catch(Exception e ){e.printStackTrace();}      
       
    }//run
    
      public static void main(String[] args) throws Exception{
          
          new com.Starter().start();
      
          
      }
      
    
    
    
}
